Public Member Functions | Protected Attributes | List of all members
RagTime5TextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a RagTime5Text. More...

Inheritance diagram for RagTime5TextInternal::SubDocument:

## Public Member Functions
| SubDocument (RagTime5Text &parser, MWAWInputStreamPtr const &input, RagTime5TextInternal::ClusterText &cluster, RagTime5Zone &dataZone, size_t firstChar, size_t lastChar)
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
RagTime5Text & | m_ragtimeParser
| the main parser More...
ClusterText & | m_cluster
| the cluster More...
RagTime5Zone & | m_dataZone
| the data zone More...
size_t | m_firstChar
| the first char More...
size_t | m_lastChar
| the last char More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a RagTime5Text.

## Constructor & Destructor Documentation

## ◆ SubDocument()

RagTime5TextInternal::SubDocument::SubDocument | ( | RagTime5Text & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | RagTime5TextInternal::ClusterText & | cluster,
|  | RagTime5Zone & | dataZone,
|  | size_t | firstChar,
|  | size_t | lastChar
| ) |  |
| inline

## ◆ ~SubDocument()

RagTime5TextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## Member Function Documentation

## ◆ operator!=()

bool RagTime5TextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ parse()

void RagTime5TextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_cluster

ClusterText& RagTime5TextInternal::SubDocument::m_cluster
| protected

the cluster

## ◆ m_dataZone

RagTime5Zone& RagTime5TextInternal::SubDocument::m_dataZone
| protected

the data zone

## ◆ m_firstChar

size_t RagTime5TextInternal::SubDocument::m_firstChar
| protected

the first char

## ◆ m_lastChar

size_t RagTime5TextInternal::SubDocument::m_lastChar
| protected

the last char

## ◆ m_ragtimeParser

RagTime5Text& RagTime5TextInternal::SubDocument::m_ragtimeParser
| protected

the main parser

The documentation for this class was generated from the following file:

- RagTime5Text.cxx